{% extends 'base/base.html' %}
{% load mathfilters %}

{% block base_title %}
    <title>
        {% block title %}{% endblock %}
    </title>
{% endblock %}

{% block base_content %}
    <div class="row ml-2 mr-1 mt-2" style="overflow: hidden">
        <div class="col-3 jumbotron container-fluid">
            <!-- Summary -->

            <div class="d-flex">
                <h2>Summary</h2>
                <div class="ml-auto">
                    <a href="{% url 'reset' %}">Reset</a>
                </div>
            </div>
            <hr />

            <div>
                <!-- Abilities -->
                <div class="font-weight-bold">
                    &#8226 <a class="btn btn-link" href="{% url 'ability' %}">Skills</a> : ( {{ summary.abilities.count }} )
                </div>

                <div class="d-flex flex-column bd-highlight">
                    {% for ability in summary.abilities %}
                        <div class="ml-3">
                            &#8226 {{ ability.name }} :
                            <span class="font-weight-light">
                                {{ ability.descr }}
                            </span>
                        </div>
                    {% endfor %}
                </div>
                <hr />
            </div>

            <div>
                <!-- Workers -->
                <div class="font-weight-bold">
                    &#8226 <a class="btn btn-link" href="{% url 'workers' %}">Workers</a> : ( {{ summary.workers.count }} )
                </div>

                {% if summary.workers.done %}
                    <div class="d-flex flex-column">
                        {% for ability in summary.abilities %}
                            <div class="row ml-2">
                                <div class="col-sm-3 p-2">
                                    &#8226 {{ ability.name }} :
                                </div>
                                <div class="col-sm-9 p-2">
                                    {% include 'base/display_level.html' with level=ability.workers_avg %}
                                </div>
                            </div>
                        {% endfor %}
                    </div>
                {% endif %}

                <hr />
            </div>

            <div>
                <!-- Trees -->
                <div class="font-weight-bold">
                    &#8226 <a class="btn btn-link" href="{% url 'trees' %}">Trees</a> : ( {{ summary.trees.count }} )
                </div>

                <hr>
            </div>

            <div>
                <!-- Tasks -->
                <div class="font-weight-bold">
                    &#8226 <a class="btn btn-link" href="{% url 'tasks' %}">Tasks</a> : ( {{ summary.tasks.count }} )
                </div>

                {% if summary.tasks.done %}
                    <div class="d-flex flex-column">
                        {% for ability in summary.abilities %}
                            {% with w_min=ability.tasks_avg_min|mul:100|floatformat:0 w_max=ability.tasks_avg_max|mul:100|floatformat:0 %}
                                <div class="d-flex flex-row ml-2">
                                    <div class="p-2">
                                        &#8226 {{ ability.name }} :
                                    </div>
                                    <div class="p-2 flex-fill">
                                        <div class="progress" style="background-color: lightgrey">
                                            <div class="progress-bar invisible" role="progressbar" style="width: {{ w_min }}%">{{ ability.tasks_avg_min|floatformat:2 }}</div>
                                            {% with w_range=w_max|sub:w_min %}
                                                <div class="progress-bar bg-info" role="progressbar" style="width: {{ w_range }}%">{{ ability.tasks_max_min|floatformat:2 }}</div>
                                            {% endwith %}
                                        </div>
                                    </div>
                                </div>
                            {% endwith %}
                        {% endfor %}
                    </div>
                {% endif %}

                <hr />
            </div>
        </div>

        <div class="col-9 container-fluid">
            <!-- Content -->
            {% block content %}{% endblock %}
        </div>
    </div>
{% endblock %}